using Packt.Shared;

Write("Podaj długość klucza w bajtach: ");
string? size = ReadLine();

if (string.IsNullOrEmpty(size))
{
  WriteLine("Musisz podać długość klucza.");
  return;
}

byte[] key = Protector.GetRandomKeyOrIV(int.Parse(size));

WriteLine($"Klucz jako tablica bajtów:");
for (int b = 0; b < key.Length; b++)
{
  Write($"{key[b]:x2} ");
  if (((b + 1) % 16) == 0) WriteLine();
}
WriteLine();
